import * as _versini_ui_private_dist_utilities from '@versini/ui-private/dist/utilities';
import { SpacingProps } from '@versini/ui-private/dist/utilities';
import React from 'react';
import * as react_jsx_runtime from 'react/jsx-runtime';

declare const TextArea: React.ForwardRefExoticComponent<{
    label: string;
    name: string;
    error?: boolean | undefined;
    focusMode?: "dark" | "light" | "system" | "alt-system" | undefined;
    helperText?: string | undefined;
    helperTextOnFocus?: boolean | undefined;
    labelId?: string | undefined;
    mode?: "dark" | "light" | "system" | "alt-system" | undefined;
    noBorder?: boolean | undefined;
    raw?: boolean | undefined;
    rightElement?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
    textAreaClassName?: string | undefined;
} & _versini_ui_private_dist_utilities.SpacingProps & React.TextareaHTMLAttributes<HTMLTextAreaElement> & React.RefAttributes<HTMLTextAreaElement>>;

declare const TextInput: React.ForwardRefExoticComponent<{
    rightElement?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
} & {
    label: string;
    name: string;
    error?: boolean | undefined;
    focusMode?: "dark" | "light" | "system" | "alt-system" | undefined;
    helperText?: string | undefined;
    inputClassName?: string | undefined;
    labelId?: string | undefined;
    mode?: "dark" | "light" | "system" | "alt-system" | undefined;
    noBorder?: boolean | undefined;
    raw?: boolean | undefined;
} & _versini_ui_private_dist_utilities.SpacingProps & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;

declare const TextInputMask: React.ForwardRefExoticComponent<{
    rightElement: React.ReactElement<any, string | React.JSXElementConstructor<any>>;
    onMaskChange?: ((masked: boolean) => void) | undefined;
    onTextInputMaskBlur?: (() => void) | undefined;
} & {
    label: string;
    name: string;
    error?: boolean | undefined;
    focusMode?: "dark" | "light" | "system" | "alt-system" | undefined;
    helperText?: string | undefined;
    inputClassName?: string | undefined;
    labelId?: string | undefined;
    mode?: "dark" | "light" | "system" | "alt-system" | undefined;
    noBorder?: boolean | undefined;
    raw?: boolean | undefined;
} & _versini_ui_private_dist_utilities.SpacingProps & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;

type ToggleProps = {
	checked: boolean;
	/**
	 * The label to use for the component.
	 */
	label: string;
	/**
	 * The name to use for the component.
	 */
	name: string;
	/**
	 * Callback fired when the component is activated.
	 * @param checked whether or not the component is checked
	 */
	onChange: (checked: boolean) => void;
	/**
	 * Whether or not to render the label.
	 * @default false
	 */
	labelHidden?: boolean;
	/**
	 * The type of Toggle. This will change the color of the Toggle.
	 */
	mode?: "dark" | "light" | "system" | "alt-system";
} & SpacingProps;

declare const Toggle: ({ checked, onChange, label, labelHidden, name, mode, spacing, }: ToggleProps) => react_jsx_runtime.JSX.Element;

export { TextArea, TextInput, TextInputMask, Toggle };
